Bug 975176 - Non-directory manager can change the individual userPassword's storage scheme
Summary: Non-directory manager can change the individual userPassword's storage scheme
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: 389-ds-base
Version: 7.1
Hardware: Unspecified
OS: Unspecified
high
unspecified
Target Milestone: rc
: 7.1
Assignee: Rich Megginson
QA Contact: Viktor Ashirov
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-06-17 18:31 UTC by Noriko Hosoi
Modified: 2015-03-05 09:30 UTC (History)
4 users (show)

Fixed In Version: 389-ds-base-1.3.3.1-1.el7
Doc Type: Bug Fix
Doc Text:
Cause: Modifying a password and explicitly settings the password storage scheme as a regular user(not as the Rot DN - "cn=directory manager"). Consequence: A user account can incorrectly modify another users password storage scheme. Fix: Only allow the root DN to change a user's password storage scheme. Result: User accounts can not change another user's password storage scheme.
Clone Of:
Environment:
Last Closed: 2015-03-05 09:30:46 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2015:0416 normal SHIPPED_LIVE Important: 389-ds-base security, bug fix, and enhancement update 2015-03-05 14:26:33 UTC

Description Noriko Hosoi 2013-06-17 18:31:50 UTC
This bug is created as a clone of upstream ticket:
https://fedorahosted.org/389/ticket/47389

Steps:
. Using default password policy: stored in SSHA
. Give ACI to update all attributes including userpassword.
 aci: (targetattr ="*")(version 3.0;acl "allow all";allow (all) userdn="ldap:///anyone";)
.Let uid=tuser0 replace other user uid=tuser1's userpassword as follows:
{{{
 $ldapmodify ... -D "uid=tuser0,dc=example,dc=com" -w password << EOF
 dn: uid=Nuser1,dc=example,dc=com
 changetype: modify
 replace: userpassword
 userpassword: {CLEAR}newuser1
 EOF
}}}
Then, the tuser1's password is stored as a clear text.
{{{
 $ldapsearch ... userpassword
 dn: uid=Nuser1,dc=example,dc=com
 userpassword: newuser1
}}}
Expected result: Ordinary user should not be allowed to override the password policy.

Comment 8 Amita Sharma 2014-11-21 08:53:55 UTC
Thanks Nathan, I am marking bug as VERIFIED.

Comment 10 errata-xmlrpc 2015-03-05 09:30:46 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2015-0416.html


Note You need to log in before you can comment on or make changes to this bug.